powered by Jive Software

IM Gateway plugin 1.0.2 released!

Hi folk! I just released version 1.0.2 of the IM Gateway plugin. Aside from bugfixes here and there, the biggest change in this release is the addition of auto-reconnect support. It was one of the highest requested features so I wanted to get it out to you all asap. You can retrieve it from the standard openfire plugins page or you ought to be able to see the update available in your admin console and upgrade it automatically that way. Auto-reconnect is on by default and tries for at most 3 times. This can be turned off or tweaked via the Settings dialogs of the admin console for each transport. Obviously there’'s a lot more coming and a lot of bugs to fix. =) Let me know what issues you run into!

Thanks for the release. However, when I place the jar in my plugins folder I lose the IM function. It doesn’'t load and when I go to the plugins it shows 1.0.1 as available. : /

Can you check your logs? (i tried it with my own server with no problems, -but- I have noticed some odd behavior in openfire where it seems to fail to load things properly =/ I’‘m not really sure what to say about that except maybe to try deleting gateway.jar altogether, waiting for the gateway directory to vanish, and then reinstalling the new version. (don’‘t worry, it won’'t wipe any registrations in the process) You installed by copying into place instead of using the admin interface to install it? I wonder if that has any effect at all. ponder

Phew. Removing the jar, rebooting, then after then folder was removed, I placed the jar back in and it quickly worked. Thanks!

I also had a similar issue upgrading the jar. After choosing the upgrade option, it would sometimes show 1.0.1 in the plugins page with an update option, sometimes it would be missing, and sometimes it would be listed under available plugins with the install option missing.

Shutting down Openfire, deleting the gateway folder, and restarting fixed it.

Does it make a difference if clients are connected when the upgrade was done? I was logged in, and I noticed that all of my contacts kept logging on and off.

What the crap? I really don’‘t know what to tell you. Having people connected -shouldn’'t- matter. It should cheerfully shut down and boot them all. I have often questioned how good the auto-plugin-extraction stuff works. I know the Jive folk have a lot of other things to do so I might look into it for them at some point.

Thanks for the update. I removed and reinstalled the plugin, restarted the server and now is shows 1.0.2. And I have the new reconnect on disconnect option in the setup.

Yeah upgreading the plugin didn’'t work for me either.

The solution is to delete the plugin, restart the server and install the new version. It seems to happen because when openfire is trying to overwrite the files in the “gateway” directory with the new files from the jar, it can’'t as openfire is still holding a few of these files locked, it seems.

It cant replace them, so it errors out and just leaves you with 1.0.1… it happened for me when i upgraded 1.0 -> 1.0.1 too.

Thanks for the update!

But…

I try update plugin manualy, auto but one bug still present - text of descripion plugin on the “installed plugins” page, text of links for configure plugin on “Server” page have wrong charset. But when plugin is not installed - description is correct…

Why???

Openfire 3.3.1 IM 1.0.2 FreeBSD 6.2

================

Have a nice day,

Nongrate

Message was edited by: nongrate

That’‘s a good thought! Let me mull this over with Gato if he’‘s got some time and see if we can figure out what can be done about it. I don’‘t believe I’'ve ever seen this occur with anything but my plugin.

Was it displayed correctly in 1.0.1?

There is a bug in openfire itself that I don’‘t believe is fixed yet that I reported about this… I don’'t know what the status of it is. what language are you using btw?

Maybe send some screenshots to You? I think, we can`t see nothing in log-files about it…

Maybe server or plugin interact with system locale in this version?

Locale is:

jabber1# locale

LANG=ru_RU.KOI8-R

LC_CTYPE=“ru_RU.KOI8-R”

LC_COLLATE=“ru_RU.KOI8-R”

LC_TIME=“ru_RU.KOI8-R”

LC_NUMERIC=“ru_RU.KOI8-R”

LC_MONETARY=“ru_RU.KOI8-R”

LC_MESSAGES=“ru_RU.KOI8-R”

LC_ALL=

jabber1#

Was it displayed correctly in 1.0.1?

Yes, in 1.0.1 , 1.0.0 - charset is Ok… anywhere…

There is a bug in openfire itself that I don’'t believe is fixed yet that I reported about this…

I don’'t know what the status of it is. what language are you using btw?

  • English…

You ought to be able to find the language the server is set to in the admin console under “Language and Time”.

I’‘m confused that you say you are using English but you seem to indicate you are having charset issues. I’‘ve never heard of charset issues with English! Were you just saying you are ‘‘speaking’’ in english here in the forum? ;D (that’'s not really what i was asking, I was asking what your openfire server is set to)

Additional - after installation plugin still present on the “Avaliable Plugins” page, but whithout Plus near it… Something wrong with installation process?

Or maybe incorrect version of Diablo?

jabber1# pkg_info|grep diablo

diablo-jdk-1.5.0.07.01_3 Java Development Kit 1.5.0_07.01

jabber1#

I haven’‘t the slightest idea what diablo is. =) I tend to use the packaged JRE that comes with a lot of the openfire dist releases, or use a JDK directly off Sun’'s site.

You ought to be able to find the language the server is set to in the admin console under “Language and Time”.

I’‘m confused that you say you are using English but you seem to indicate you are having charset issues. I’‘ve never heard of charset issues with English! >Were you just saying you are ‘‘speaking’’ in english here in the forum? ;D (that’'s not really what i was asking, I was asking what your openfire server is set to)

  • Thanks You for a good joke, but peoples, who use FreeBSD as system administrator, can distinguish ‘‘speaking’’ language and software intarface language. Even they have Russian Locale

chuckle It wasn’'t meant as a joke. =) I was quite confused when you said you had charset issues, but then said you were using english.

The plugin does indeed have a Russian translation.

So did you check under “Language and Time” in your openfire admin console and find out that it is indeed set to Russian?

I haven’‘t the slightest idea what diablo is. =) I tend to use the packaged JRE that comes with a lot of the openfire dist releases, or use a JDK directly off >Sun’'s site

Java™ 2 Platform Standard Edition Development Kit

Copyright ? 2006 Sun Microsystems, Inc., 4150

Network Circle, Santa Clara, California 95054, U.S.A. All

rights reserved. U.S.

Ported for FreeBSD

Hrm. Well I can think of no reason why that would be bad.